View all methods

workflowRuns.changeStatus

Change the execution status of a Workflow Run.

Facts

Method POST https://api.getdx.com/workflowRuns.changeStatus
Required scope workflowRuns:writeEvents

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.
workflow_run_id Text The unique ID of the Workflow Run.
status "SUCCEEDED" | "FAILED" The status to transition to.

Example request

This is a typical request:

curl -X POST https://api.getdx.com/workflowRuns.changeStatus \
  -H 'Accepts: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
  --data '{
    "workflow_run_id": "4vyq52b7b4a4",
    "status": "SUCCEEDED"
  }'

Example response

This is a typical success response:

{
  "ok": true,
  "event": {
    "id": "ni4nh5c5w987",
    "workflow_run_id": "025o2rthsl5q",
    "type": "CHANGE_STATUS",
    "message": null,
    "occurred_at": "2025-07-28T23:03:49.280Z",
    "data": {
      "status": "SUCCEEDED"
    }
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
e>